// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary/vermin_for_active_substance.proto

package dictionary

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/adhocguru/fcp/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type VerminForActiveSubstance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                  int64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	VerminForPrepId     int64                 `protobuf:"varint,2,opt,name=vermin_for_prep_id,json=verminForPrepId,proto3" json:"vermin_for_prep_id,omitempty"`
	VerminId            int64                 `protobuf:"varint,3,opt,name=vermin_id,json=verminId,proto3" json:"vermin_id,omitempty"`
	VerminName          string                `protobuf:"bytes,4,opt,name=vermin_name,json=verminName,proto3" json:"vermin_name,omitempty"`
	ActiveSubstanceId   int64                 `protobuf:"varint,5,opt,name=active_substance_id,json=activeSubstanceId,proto3" json:"active_substance_id,omitempty"`
	ActiveSubstanceName string                `protobuf:"bytes,6,opt,name=active_substance_name,json=activeSubstanceName,proto3" json:"active_substance_name,omitempty"`
	Hash                *wrappers.StringValue `protobuf:"bytes,21,opt,name=hash,proto3" json:"hash,omitempty"`
	Deleted             *wrappers.BoolValue   `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
	CreatedBy           *wrappers.StringValue `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	CreatedAt           *timestamp.Timestamp  `protobuf:"bytes,24,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedBy           *wrappers.StringValue `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
	UpdatedAt           *timestamp.Timestamp  `protobuf:"bytes,26,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *VerminForActiveSubstance) Reset() {
	*x = VerminForActiveSubstance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VerminForActiveSubstance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VerminForActiveSubstance) ProtoMessage() {}

func (x *VerminForActiveSubstance) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VerminForActiveSubstance.ProtoReflect.Descriptor instead.
func (*VerminForActiveSubstance) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{0}
}

func (x *VerminForActiveSubstance) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *VerminForActiveSubstance) GetVerminForPrepId() int64 {
	if x != nil {
		return x.VerminForPrepId
	}
	return 0
}

func (x *VerminForActiveSubstance) GetVerminId() int64 {
	if x != nil {
		return x.VerminId
	}
	return 0
}

func (x *VerminForActiveSubstance) GetVerminName() string {
	if x != nil {
		return x.VerminName
	}
	return ""
}

func (x *VerminForActiveSubstance) GetActiveSubstanceId() int64 {
	if x != nil {
		return x.ActiveSubstanceId
	}
	return 0
}

func (x *VerminForActiveSubstance) GetActiveSubstanceName() string {
	if x != nil {
		return x.ActiveSubstanceName
	}
	return ""
}

func (x *VerminForActiveSubstance) GetHash() *wrappers.StringValue {
	if x != nil {
		return x.Hash
	}
	return nil
}

func (x *VerminForActiveSubstance) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

func (x *VerminForActiveSubstance) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *VerminForActiveSubstance) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *VerminForActiveSubstance) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

func (x *VerminForActiveSubstance) GetUpdatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type VerminForActiveSubstanceFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                *wrappers.Int64Value `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	VerminForPrepId   *wrappers.Int64Value `protobuf:"bytes,2,opt,name=vermin_for_prep_id,json=verminForPrepId,proto3" json:"vermin_for_prep_id,omitempty"`
	VerminId          *wrappers.Int64Value `protobuf:"bytes,3,opt,name=vermin_id,json=verminId,proto3" json:"vermin_id,omitempty"`
	ActiveSubstanceId *wrappers.Int64Value `protobuf:"bytes,5,opt,name=active_substance_id,json=activeSubstanceId,proto3" json:"active_substance_id,omitempty"`
	Deleted           *wrappers.BoolValue  `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *VerminForActiveSubstanceFilter) Reset() {
	*x = VerminForActiveSubstanceFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VerminForActiveSubstanceFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VerminForActiveSubstanceFilter) ProtoMessage() {}

func (x *VerminForActiveSubstanceFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VerminForActiveSubstanceFilter.ProtoReflect.Descriptor instead.
func (*VerminForActiveSubstanceFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{1}
}

func (x *VerminForActiveSubstanceFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *VerminForActiveSubstanceFilter) GetVerminForPrepId() *wrappers.Int64Value {
	if x != nil {
		return x.VerminForPrepId
	}
	return nil
}

func (x *VerminForActiveSubstanceFilter) GetVerminId() *wrappers.Int64Value {
	if x != nil {
		return x.VerminId
	}
	return nil
}

func (x *VerminForActiveSubstanceFilter) GetActiveSubstanceId() *wrappers.Int64Value {
	if x != nil {
		return x.ActiveSubstanceId
	}
	return nil
}

func (x *VerminForActiveSubstanceFilter) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

type ListVerminForActiveSubstanceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *VerminForActiveSubstanceFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, created_by, created_at, updated_by, updated_at
	Sortings []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sortings,proto3" json:"sortings,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListVerminForActiveSubstanceRequest) Reset() {
	*x = ListVerminForActiveSubstanceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVerminForActiveSubstanceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVerminForActiveSubstanceRequest) ProtoMessage() {}

func (x *ListVerminForActiveSubstanceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVerminForActiveSubstanceRequest.ProtoReflect.Descriptor instead.
func (*ListVerminForActiveSubstanceRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{2}
}

func (x *ListVerminForActiveSubstanceRequest) GetFilter() *VerminForActiveSubstanceFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListVerminForActiveSubstanceRequest) GetSortings() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sortings
	}
	return nil
}

func (x *ListVerminForActiveSubstanceRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListVerminForActiveSubstanceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*VerminForActiveSubstance           `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListVerminForActiveSubstanceResponse) Reset() {
	*x = ListVerminForActiveSubstanceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVerminForActiveSubstanceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVerminForActiveSubstanceResponse) ProtoMessage() {}

func (x *ListVerminForActiveSubstanceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVerminForActiveSubstanceResponse.ProtoReflect.Descriptor instead.
func (*ListVerminForActiveSubstanceResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{3}
}

func (x *ListVerminForActiveSubstanceResponse) GetItems() []*VerminForActiveSubstance {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListVerminForActiveSubstanceResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type GetVerminForActiveSubstanceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetVerminForActiveSubstanceRequest) Reset() {
	*x = GetVerminForActiveSubstanceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVerminForActiveSubstanceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVerminForActiveSubstanceRequest) ProtoMessage() {}

func (x *GetVerminForActiveSubstanceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVerminForActiveSubstanceRequest.ProtoReflect.Descriptor instead.
func (*GetVerminForActiveSubstanceRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{4}
}

func (x *GetVerminForActiveSubstanceRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetVerminForActiveSubstanceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *VerminForActiveSubstance `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetVerminForActiveSubstanceResponse) Reset() {
	*x = GetVerminForActiveSubstanceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVerminForActiveSubstanceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVerminForActiveSubstanceResponse) ProtoMessage() {}

func (x *GetVerminForActiveSubstanceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVerminForActiveSubstanceResponse.ProtoReflect.Descriptor instead.
func (*GetVerminForActiveSubstanceResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP(), []int{5}
}

func (x *GetVerminForActiveSubstanceResponse) GetItem() *VerminForActiveSubstance {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_v1_dictionary_vermin_for_active_substance_proto protoreflect.FileDescriptor

var file_v1_dictionary_vermin_for_active_substance_proto_rawDesc = []byte{
	0x0a, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f,
	0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x5f, 0x66, 0x6f, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x76,
	0x65, 0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x1c, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x1a,
	0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd7,
	0x04, 0x0a, 0x18, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69,
	0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x2b, 0x0a, 0x12, 0x76,
	0x65, 0x72, 0x6d, 0x69, 0x6e, 0x5f, 0x66, 0x6f, 0x72, 0x5f, 0x70, 0x72, 0x65, 0x70, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0f, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46,
	0x6f, 0x72, 0x50, 0x72, 0x65, 0x70, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x76, 0x65, 0x72, 0x6d,
	0x69, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x76, 0x65, 0x72,
	0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x76, 0x65, 0x72, 0x6d,
	0x69, 0x6e, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2e, 0x0a, 0x13, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65,
	0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x11, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74,
	0x61, 0x6e, 0x63, 0x65, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x15, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65,
	0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62,
	0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x30, 0x0a, 0x04, 0x68, 0x61,
	0x73, 0x68, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e,
	0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x68, 0x61, 0x73, 0x68, 0x12, 0x34, 0x0a, 0x07,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79,
	0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12,
	0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x18, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x1a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64,
	0x41, 0x74, 0x4a, 0x04, 0x08, 0x07, 0x10, 0x15, 0x22, 0xe6, 0x02, 0x0a, 0x1e, 0x56, 0x65, 0x72,
	0x6d, 0x69, 0x6e, 0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64, 0x12, 0x48, 0x0a, 0x12, 0x76, 0x65, 0x72, 0x6d,
	0x69, 0x6e, 0x5f, 0x66, 0x6f, 0x72, 0x5f, 0x70, 0x72, 0x65, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x0f, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x72, 0x65, 0x70,
	0x49, 0x64, 0x12, 0x38, 0x0a, 0x09, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x5f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x08, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x4b, 0x0a, 0x13,
	0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36,
	0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75,
	0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x49, 0x64, 0x12, 0x34, 0x0a, 0x07, 0x64, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f,
	0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x4a,
	0x04, 0x08, 0x04, 0x10, 0x05, 0x4a, 0x04, 0x08, 0x06, 0x10, 0x15, 0x4a, 0x04, 0x08, 0x15, 0x10,
	0x16, 0x22, 0x9d, 0x02, 0x0a, 0x23, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e,
	0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x54, 0x0a, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46,
	0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63,
	0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12,
	0x48, 0x0a, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52,
	0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x22, 0xcd, 0x01, 0x0a, 0x24, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e,
	0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4c, 0x0a, 0x05, 0x69, 0x74,
	0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46,
	0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63,
	0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x22, 0x34, 0x0a, 0x22, 0x47, 0x65, 0x74, 0x56, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x46, 0x6f,
	0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x71, 0x0a, 0x23, 0x47, 0x65, 0x74, 0x56, 0x65,
	0x72, 0x6d, 0x69, 0x6e, 0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62,
	0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4a,
	0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x56, 0x65, 0x72, 0x6d,
	0x69, 0x6e, 0x46, 0x6f, 0x72, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74,
	0x61, 0x6e, 0x63, 0x65, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x42, 0x68, 0x0a, 0x25, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f,
	0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_vermin_for_active_substance_proto_rawDescOnce sync.Once
	file_v1_dictionary_vermin_for_active_substance_proto_rawDescData = file_v1_dictionary_vermin_for_active_substance_proto_rawDesc
)

func file_v1_dictionary_vermin_for_active_substance_proto_rawDescGZIP() []byte {
	file_v1_dictionary_vermin_for_active_substance_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_vermin_for_active_substance_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_vermin_for_active_substance_proto_rawDescData)
	})
	return file_v1_dictionary_vermin_for_active_substance_proto_rawDescData
}

var file_v1_dictionary_vermin_for_active_substance_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_dictionary_vermin_for_active_substance_proto_goTypes = []interface{}{
	(*VerminForActiveSubstance)(nil),             // 0: fcp.dictionary.v1.dictionary.VerminForActiveSubstance
	(*VerminForActiveSubstanceFilter)(nil),       // 1: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter
	(*ListVerminForActiveSubstanceRequest)(nil),  // 2: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceRequest
	(*ListVerminForActiveSubstanceResponse)(nil), // 3: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceResponse
	(*GetVerminForActiveSubstanceRequest)(nil),   // 4: fcp.dictionary.v1.dictionary.GetVerminForActiveSubstanceRequest
	(*GetVerminForActiveSubstanceResponse)(nil),  // 5: fcp.dictionary.v1.dictionary.GetVerminForActiveSubstanceResponse
	(*wrappers.StringValue)(nil),                 // 6: google.protobuf.StringValue
	(*wrappers.BoolValue)(nil),                   // 7: google.protobuf.BoolValue
	(*timestamp.Timestamp)(nil),                  // 8: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*dictionary_common.Sorting)(nil),            // 10: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 11: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 12: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_vermin_for_active_substance_proto_depIdxs = []int32{
	6,  // 0: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.hash:type_name -> google.protobuf.StringValue
	7,  // 1: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.deleted:type_name -> google.protobuf.BoolValue
	6,  // 2: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.created_by:type_name -> google.protobuf.StringValue
	8,  // 3: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.created_at:type_name -> google.protobuf.Timestamp
	6,  // 4: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.updated_by:type_name -> google.protobuf.StringValue
	8,  // 5: fcp.dictionary.v1.dictionary.VerminForActiveSubstance.updated_at:type_name -> google.protobuf.Timestamp
	9,  // 6: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 7: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter.vermin_for_prep_id:type_name -> google.protobuf.Int64Value
	9,  // 8: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter.vermin_id:type_name -> google.protobuf.Int64Value
	9,  // 9: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter.active_substance_id:type_name -> google.protobuf.Int64Value
	7,  // 10: fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter.deleted:type_name -> google.protobuf.BoolValue
	1,  // 11: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceRequest.filter:type_name -> fcp.dictionary.v1.dictionary.VerminForActiveSubstanceFilter
	10, // 12: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceRequest.sortings:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	11, // 13: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 14: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceResponse.items:type_name -> fcp.dictionary.v1.dictionary.VerminForActiveSubstance
	12, // 15: fcp.dictionary.v1.dictionary.ListVerminForActiveSubstanceResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 16: fcp.dictionary.v1.dictionary.GetVerminForActiveSubstanceResponse.item:type_name -> fcp.dictionary.v1.dictionary.VerminForActiveSubstance
	17, // [17:17] is the sub-list for method output_type
	17, // [17:17] is the sub-list for method input_type
	17, // [17:17] is the sub-list for extension type_name
	17, // [17:17] is the sub-list for extension extendee
	0,  // [0:17] is the sub-list for field type_name
}

func init() { file_v1_dictionary_vermin_for_active_substance_proto_init() }
func file_v1_dictionary_vermin_for_active_substance_proto_init() {
	if File_v1_dictionary_vermin_for_active_substance_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VerminForActiveSubstance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VerminForActiveSubstanceFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVerminForActiveSubstanceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVerminForActiveSubstanceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVerminForActiveSubstanceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_vermin_for_active_substance_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVerminForActiveSubstanceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_vermin_for_active_substance_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_vermin_for_active_substance_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_vermin_for_active_substance_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_vermin_for_active_substance_proto_msgTypes,
	}.Build()
	File_v1_dictionary_vermin_for_active_substance_proto = out.File
	file_v1_dictionary_vermin_for_active_substance_proto_rawDesc = nil
	file_v1_dictionary_vermin_for_active_substance_proto_goTypes = nil
	file_v1_dictionary_vermin_for_active_substance_proto_depIdxs = nil
}
